<?php
session_start();
if(!isset($_SESSION['idUsuarioLogado'])){
	header("location: ./");
 }
require("../database/dbConection.php");

$stmAcessoValido  = $rsConexao->prepare("SELECT reg_tb_usuario.aceitou_termo FROM reg_tb_usuario WHERE id_usuario='".$_SESSION['idUsuarioLogado']."'");
$stmAcessoValido  ->execute();
$rsAcessoValido   = $stmAcessoValido->fetch(PDO::FETCH_OBJ);

if($rsAcessoValido->aceitou_termo=='N' || !isset($_SESSION['paginaPainel'])){
  header("location: sair.php");
}

$idPerfilValida = $_SESSION['idPerfilValida'];
$idPerfilLogado = $_SESSION['idPerfilLogado'];
$unidadeLogada  = $_SESSION['unidadeLogada'];
$leuAtualizacao = $_SESSION['leuAtualizacao'];

switch($idPerfilLogado){

  case 1:
    include_once("painelacesso/paineladm.php");
    break;
  case 3: case 4: 
    if ($leuAtualizacao == "S") {
      switch($idPerfilValida){
        case 3:
          include_once("painelacesso/painelcadastrador.php");
          break;
        case 4:
          include_once("painelacesso/painelagendador.php");
          break;
      }
    }else{
      include_once("atualizacaomensagem.php");
      break;
    }
    break;
  case 2: case 5: case 6: case 7: case 8: case 9: case 14:
    include_once("painelacesso/painelgeral.php");
    break;
  case 13:
    include_once("painelacesso/painelexecutante.php");
    break;
  case 16:
    include_once("painelacesso/painelrecepcao.php");
    break;
  case 17:
    include_once("painelacesso/painelagendador_mutirao.php");
    break;
  case 18:
    include_once("painelacesso/painelexecutante_mutirao.php");
    break;
  case 20:
    include_once("painelacesso/painelngc.php");
    break;
}


?>